task MD5 {

	File file
	String name = basename(file)
	String docker
	String cluster_config
	String disk_size

	command <<<
		md5sum ${file} > ${name}.md5
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File MD5 = "${name}.md5"
	}
}